2018-07-16 17:27 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002816OpenFOAM[All Projects] Bugpublic2018-07-10 11:17
Reportermonto 
Assigned Tohenry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformlinux64OSDebianOS Version9
Product Versiondev 
Target VersionFixed in Version 
Summary0002816: compilation of libOpenFOAM.so fails in debug mode
DescriptionCompilation of label.C fails in debug mode because a call is made to FatalErrorInFunction without including error.H. This happens because of the preprocessing variable FULLDEBUG that triggers the compilation of the following lines (among others)

    #ifdef FULLDEBUG
    if (n > 12 || n < 0)
    {
        FatalErrorInFunction
            << "n value out of range"
            << abort(FatalError);
    }
    #endif
Steps To ReproduceCompile in debug mode ($WM_COMPILE_OPTION=Debug)
Tagscompilation
Attached Files

-Relationships
+Relationships

-Notes

~0009216

monto (reporter)

commit d008fe4468b455d8e1a671f2ad96cae21d58ce55

~0009218

henry (reporter)

Resolved in OpenFOAM-5.x by commit d049f393871006ef08be159d2c40b1b28344b2b9

Resolved in OpenFOAM-dev by commit 02225354627d0f5f90940fd3cbb08c5f51066c8c
+Notes

-Issue History
Date Modified Username Field Change
2018-01-23 16:44 monto New Issue
2018-01-23 16:44 monto Tag Attached: compilation
2018-01-23 16:44 monto Tag Attached: error
2018-01-23 16:45 monto Note Added: 0009216
2018-01-24 14:40 henry Assigned To => henry
2018-01-24 14:40 henry Status new => resolved
2018-01-24 14:40 henry Resolution open => fixed
2018-01-24 14:40 henry Note Added: 0009218
2018-07-10 11:17 administrator Tag Detached: error
+Issue History